Codevisor Server
Api reference

GET Sessions Id

GET/v1/sessions/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/sessions/string"
{  "session": {    "id": "string",    "projectId": "string",    "serverId": "string",    "harnessId": "string",    "harnessAccountId": "string",    "agentSessionId": "string",    "title": "string",    "origin": "codevisor",    "isArchived": true,    "worktreeName": "string",    "cwd": "string",    "createdAt": "string",    "updatedAt": "string",    "usage": {      "used": 0,      "size": 0,      "costAmount": 0,      "costCurrency": "string"    }  },  "conversation": [    {      "id": "string",      "role": "user",      "messageId": "string",      "text": "string",      "createdAt": "string",      "isGenerating": true,      "attachments": [        {          "fileId": "string",          "name": "string",          "mimeType": "string",          "sizeBytes": 0,          "kind": "image"        }      ]    }  ],  "promptQueue": [    {      "id": "string",      "sessionId": "string",      "text": "string",      "createdAt": "string",      "updatedAt": "string",      "attachments": [        {          "fileId": "string",          "name": "string",          "mimeType": "string",          "sizeBytes": 0,          "kind": "image"        }      ]    }  ],  "eventCursor": 0,  "pendingQuestion": {    "sessionUpdate": "question",    "questionId": "string",    "message": "string",    "questions": [      {        "id": "string",        "header": "string",        "question": "string",        "options": [          {            "id": "string",            "label": "string",            "description": "string"          }        ],        "multiSelect": true,        "allowsOther": true,        "isSecret": true      }    ],    "autoResolutionMs": 0  },  "backgroundTasks": [    {      "id": "string",      "description": "string",      "status": "string",      "taskType": "string",      "toolUseId": "string",      "terminalKey": "string",      "readOnly": true    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}